import { type Static } from '@sinclair/typebox';
import type { FetchError } from './FetchError.js';
import { type ValidationError } from './validatedFetch.js';
/**
 * @link https://api.nrfcloud.com/v1/#tag/Bulk-Ops-Requests/operation/FetchBulkOpsRequest
 */
export declare const BulkOpsRequestType: import("@sinclair/typebox").TObject<{
    bulkOpsRequestId: import("@sinclair/typebox").TString;
    status: import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TLiteral<"PENDING">, import("@sinclair/typebox").TLiteral<"IN_PROGRESS">, import("@sinclair/typebox").TLiteral<"FAILED">, import("@sinclair/typebox").TLiteral<"SUCCEEDED">]>;
}>;
export declare const bulkOpsRequests: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}, fetchImplementation?: typeof fetch) => (bulkOpsId: string) => Promise<{
    error: FetchError | ValidationError;
} | {
    result: Static<typeof BulkOpsRequestType>;
}>;
